


<b>protein</b>
	https://en.wikipedia.org/wiki/Protein
	
	<b>structure</b>
		https://en.wikipedia.org/wiki/Protein_structure
	
		sequences of amino acids
		
		peptides:
			~short sequences of amino acids
			linked by peptide bonds
		
			#
			#	Da = Dalton, unified atomic mass unit
			#		https://en.wikipedia.org/wiki/Dalton_(unit)
			#
			if (molecular_mass >= 10,000 Da):
				# peptide is a protein
				
				pass;
		
	<b>kinds</b>
		myoglobin:
			https://en.wikipedia.org/wiki/Myoglobin
	
	<b>domains</b>
		https://en.wikipedia.org/wiki/Protein#Protein_domains
		
		Proteins frequently consist of multiple domains.
		
		Length:
			box and whiskers (double candles)?
				~50 to ~250 amino acids in sequence
		
		Pleckstrin Homology (PH domain) (PHIP):
			https://en.wikipedia.org/wiki/Pleckstrin_homology_domain
		
		Zinc finger:
			https://en.wikipedia.org/wiki/Zinc_finger
			
			motif
		